static char* sccs_gen_h = "@(#)gen.h	1.220/11/92";

#include <stdio.h>
#include <sys/param.h>
#include <sys/stat.h>
#include <malloc.h>
#include <ctype.h>
#include <unistd.h>
#include <X11/Xos.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xm/Xm.h>
#include <Xm/Form.h>
#include <Xm/Text.h>
#include <Xm/RowColumn.h>
#include <Xm/CascadeB.h>
#include <Xm/PushB.h>
#include "xpm.h"
/* for gcc */
/* #include <stdlib.h> */

/*
	Macro for using prototypes if ANSI C is available.
*/
#ifdef __STDC__
#define PROTO(x) x
#else
#define PROTO(x) ()
#endif

#define	MAXLINE		500	
#define	MAXBUTTONS	20		/* max number of "buttons" */
#define	MAXSUBBUTTONS	9		/* max number of sub menu buttons */

#define	EDITOR		"xterm -e "	/* editor used to edit icon file. */
#define	FORMATTER	"xterm -e vi "  /* text formatter for help file */
#define	HELP_VIEWER	" "		/* viewer for help file */

#define	MAXPROCS	20

#define	ICON		1	
#define	TEXT		2
#define	SUB_MENU	3
#define	END_SUB_MENU	4
#define	UNKNOWN		5
#define	END		6
#define	TEXTPLUS	7
#define	ICONPLUS	8
#define PIXMAP		9
#define	PIXMAPPLUS	10

#ifndef MAXPATHLEN
#define MAXPATHLEN	1024
#endif

/*
	structure for holding info on number of buttons created, number of
	columns & file to be read.
*/
typedef struct	info{
		int	no_of_buttons;
		char	*editor;
		char	*icon_file;
		char	*help_file;
		Boolean	default_buttons;
}Info;

typedef struct	c_id{
		int	child_id;
		Widget	w_id;
}ChildInfo;

ChildInfo	ci_ptr[MAXPROCS];

/* forward declarations */
#ifndef __hpux
int	fprintf(), ungetc(), fclose(), fscanf();
char	*strcpy(), *getenv();
#endif
#ifdef __hpux
void *malloc(); 
#else
char *malloc();
#endif

typedef int     bool_t;

Pixmap	pix, pix2;

typedef struct _XpmIcon{
	Pixmap pixmap;
	Pixmap mask;
	XpmAttributes attributes;
}XpmIcon;

XpmIcon	c_pix;
